import type { OASDocument, SchemaObject } from 'rmoas.types';
import type Operation from 'operation';
/**
 * Extract all the response schemas, matching the format of get-parameters-as-json-schema.
 *
 * Note: This expects a dereferenced schema.
 *
 * @param operation Operation to construct a response JSON Schema for.
 * @param api The OpenAPI definition that this operation originates.
 * @param statusCode The response status code to generate a schema for.
 */
export default function getResponseAsJsonSchema(operation: Operation, api: OASDocument, statusCode: string | number): {
    type: string | string[];
    schema: SchemaObject;
    label: string;
    description?: string;
}[];
