const request = require('request');


const checkIsvalid = async (req, res) => {
    try {
        const { url, API_TOKEN } = req.body;

        const options = {
            method: 'GET',
            url: `${url}/api/3`,
            headers: {
                Accept: 'application/json',
                'api-token': API_TOKEN
            }
        };

        request(options, function (error, response, body) {
            // if (error) throw new Error(error);
            if (error) {
                res.send({ message: 'Invalid Keys' })
            } else {

                res.send({ message: 'Ok' })
            }

        });
    } catch (error) {
        res.send({ error: error })
        // console.log(error)
    }
}


const fetchList = async (req, res) => {
    try {
        const { ac_key, ac_url } = req.body;
        const options = {
            method: 'GET',
            url: `${ac_url}/api/3/lists?limit=all`,
            headers: {
                Accept: 'application/json',
                'api-token': ac_key
            }
        };

        request(options, function (error, response, body) {
            if (error) throw new Error(error);
            if(response.statusCode === 200){
                const lists = JSON.parse(response.body);
                // console.log(lists)
                const arr = lists.lists.map((list)=>{
                    return {
                        id:list.id,
                        name:list.name
                    }
                })
                // console.log(arr);
                res.send({statusCode:200,data:arr})
            }
            // res.send(lists)
        });




    } catch (error) {
        console.log(error)
    }
}


module.exports = {
    checkIsvalid,
    fetchList
}