const { selectFields } = require('express-validator/src/select-fields');
const serialize = require('serialize-javascript');
const db = require('../models/bootstrap')
const Op = db.Sequelize.Op;

const Template = db.template
const Scene = db.slides;
const UserTemplate = db.usertemplate;
const User = db.user;

// fetchTemplates = (req, res) => {
//     res.send({ msg: "Hello" })
// }

fetchTemplates = async (req, res) => {
    try {

        var limit = 999;

        // if (req.user.access.includes("2A") || req.user.access.includes(8) || req.user.access.includes(81) || req.user.access.includes("8A") || req.user.access.includes("5") || req.user.access.includes("9A") || req.user.access.includes(91)) {
        //     limit = 31;
        // } else if (req.user.access.includes("8B") || req.user.access.includes("3A")) {
        //     limit = 40;
        // }else {
        //     limit = 10;
        // }

        // console.log(limit,req.user.access)
        const templates = await db.sequelize.query(`SELECT templates.*,usertemplates.template_id as fav FROM templates LEFT JOIN usertemplates on templates.id = usertemplates.template_id AND usertemplates.user_id =` + req._user_id + ` GROUP by templates.id LIMIT ` + limit, { type: db.Sequelize.QueryTypes.SELECT })

        if (templates) return res.send({ body: templates })

        return res.send({})
    } catch (error) {
        res.send({ message: error.message })
    }
}

createTemplate = async (req, res) => {
    try {
        //get the max main id from the table
        const maxMainId = await Template.max('main_id')
        const maxDisplayOrder = await Template.max('display_order')
        
        const template = req.body;
        template.main_id = maxMainId + 1;
        template.display_order = maxDisplayOrder + 1;
        template.name = req.body.template_Name;
        template.thumbnail_url = req.body.thumbUrl;
        template.preview_url = req.body.prevUrl;
        template.slide_data = req.body.jsonData;
        template.access = req.body.access;
        template.status = 0;    


        //save the template to the database

        const result = await Template.create(template)

        // res.send(result)
        res.send({ message: "Created successfully" })
    } catch (error) {
        res.send({ message: error.message })
    }
}

getTemplate = async (req, res) => {
    try {
        const id = req.params.id;
        const template = await Template.findOne({
            where: {
                id
            }
        })

        if (template) return res.send(template)   

        return res.send({})
    } catch (error) {
        res.send({ message: error.message })
    }
}

updateTemplate = async (req, res) => {
    try {
        const id = req.params.id;
        const template = req.body;
        template.name = req.body.template_Name;
        template.thumbnail_url = req.body.thumbUrl;
        template.preview_url = req.body.prevUrl;
        template.slide_data = req.body.jsonData;
        template.access = req.body.access;
        template.status = 0;

        const result = await Template.update(template, {
            where: {
                id
            }
        })

        res.send({ message: "Updated successfully" })
    } catch (error) {
        res.send({ message: error.message })
    }
}

activateTemplate = async (req, res) => {
    try {
        const id = req.body.template_id;
        let status = req.body.status;
        if(status === 1){
            status = 0;
        }else{
            status = 1;
        }

        const result = await Template.update({ status }, {
            where: {
                id
            }
        })
        res.send({ message: "Updated successfully",status:status })
    } catch (error) {
        res.send({ message: error.message })
    }
}


makeFav = async (req, res) => {
    try {
        var data;
        const user_id = req._user_id;
        const template_id = req.body.template_id;
        const isFav = req.body.isFav;

        if (isFav === 1) {
            console.log("Create")
            data = await UserTemplate.create({ user_id, template_id })

        }
        else {
            console.log("Delete")

            data = await UserTemplate.destroy({
                where: {
                    template_id
                }
            })
        }

        res.send(data)
    } catch (error) {
        res.send({ message: error.message })
    }
}

// Get or search user by Keyword
getAllTemplates = async (req, res) => {
    // const page_no = req.params.page_no;

    try {
        let search = '';
        const page_no = req.params.page_no ? req.params.page_no : 0;
        // console.log(req.query)

        if (req.query.search) {
            search = req.query.search
        }
        const total_row = 5;
        let page = 0;
        var wherecond = {}

        if (!Number.isNaN(page_no) && page_no > 0) {
            page = page_no
        }

        if (search) {
            wherecond = {
                [Op.or]: [
                    {
                        name: {
                            [Op.like]: `%${search}%`
                        }
                    },

                ]
            }
        }
        
        if(req._user_id == 1 || req.user.access.includes("9S")){
            const templates = await Template.findAndCountAll({
                limit: total_row,
                offset: page * total_row,

                order: [['createdAt', 'DESC']],
                where: wherecond
            });


            res.send({
                status : 200, 
                content: templates.rows,
                totalPages: Math.ceil(templates.count / total_row)
            })

        }else{
            res.send({ status : 403 ,message: "User Not Authorized To Access This Page" })
        }

    } catch (error) {
        console.log(error)
    }


}

// fetch All selectFields(scenes)

getScenes = async (req, res) => {

    try {
        const data = await Scene.findAll({
            where: { status: 1 },
        })


        if (!data) res.status(404).send({ 'response': 'Not Found' })

        res.send({ body: data })
    } catch (error) {
        res.send({ message: error })
    }

}



updateSlides = async (req, res) => {
    try {
        var scene_no = 65;
        var template_id = 30;
        const template = await Template.findOne({
            where: {
                id: template_id
            }
        })

        var slide_data = JSON.parse(template.slide_data)

        await Promise.all(slide_data.map(async data => {
            var slide_data = JSON.stringify(data)
            var name = 'Scene ' + scene_no
            const insertData = await Scene.create({
                name, template_id, slide_data
            })
            // console.log(name)

            scene_no = parseInt(scene_no) + 1;
        }))
        // console.log(slide_data)
        res.send({ a: "Hello" })
    } catch (error) {

    }
}



module.exports = { fetchTemplates, makeFav, getScenes, updateSlides, getAllTemplates, createTemplate, getTemplate, updateTemplate,activateTemplate }