const router = require('express').Router();

const { createUserSchema } = require('../../middleware/validators/users.validators')

const controller = require('../../controller/user.controller');
const auth = require('../../middleware/auth');


router.get('/', auth, (req, res) => {
    res.send({ msg: 'Hello Welcome to users page' })
})



router.get('/getall', auth, controller.getAllUsers)
router.get('/getall/:page_no', auth, controller.getAllUsers)
router.post('/deleteUser', auth, controller.userDelete);
router.post('/activateUser', auth, controller.activateUser)
router.post('/createUser', auth, controller.createUser)
router.get('/getUser/:user_id', auth, controller.getUser)
router.post('/updateUser/:user_id', auth, controller.updateUser)
router.post('/updateprofile', auth, controller.updateprofile)




module.exports = router;