const nodemailer = require('nodemailer');


// const formData = require('form-data');
// const Mailgun = require('mailgun.js');
// const mailgun = new Mailgun(formData);

// const mg = mailgun.client({
//     username: 'api',
//     key: process.env.vidamaze_MAILGUN_PUBLIC_KEY,
//     public_key: process.env.vidamaze_MAILGUN_PUBLIC_KEY
// });


const initMailer = async () => {
    // console.log(process.env.vidamaze_SES_SMTP_HOST, process.env.vidamaze_SES_SMTP_USERNAME, process.env.vidamaze_SES_SMTP_PASSWORD)
    const transporter = nodemailer.createTransport({
        host: process.env.vidamaze_SES_SMTP_HOST,
        port: 587,
        auth: {
            user: process.env.vidamaze_SES_SMTP_USERNAME,
            pass: process.env.vidamaze_SES_SMTP_PASSWORD,
        },
    });

    const data = await transporter.verify();
    console.log(data);
    if (data) {
        return transporter;
    } else {
        return false;
    }

}


testEmail = async (username, email) => {
    try {


        const transporter = await initMailer();

        // console.log("Hello", transporter);

        if (transporter) {
            const results = await transporter.sendMail({
                from: `"${process.env.vidamaze_SES_SenderName}" <${process.env.vidamaze_SES_email}>`, // sender address
                to: `<${email}>`, // list of receivers
                subject: "Hello Akash", // Subject line
                // text: "There is a new article. It's about sending emails, check it out!", // plain text body
                // html: `<!DOCTYPE html><html><head><meta name="viewport" content="width=device-width, initial-scale=1"><style>table.center{margin:0 auto; background: #eb1561; width: 100%; max-width: 150px; min-height: 120px; margin: 0 auto; text-align: center;}table h1{color: #fff;font-family: 'Poppins', sans-serif;font-weight: 600;font-size: 16px;}</style></head><body><table class="center"> <tr> <td> <h1> Hello ${FirstName}</h1> </td></tr></table></body></html>`, // html body
                html: "<p><u>Akash Talawar</u></p>"
            })

            console.log(results)

            return results ? results.messageId : 'Error'
        } else {
            console.log("Error In mail")
        }


        // res.send("Hello")

    } catch (error) {
        console.log("Eror mail", error)
    }
}


registerEmail = async (email, password, subject, product_name, product_id) => {
    try {


        // console.log(email, password, subject, product_name, product_id)

        // return false;
        const transporter = await initMailer();

        const emailContent = getEmailContent(email, product_name, password, product_id);


        if (emailContent) {

            if (transporter) {
                const results = await transporter.sendMail({
                    from: `"${process.env.vidamaze_SES_SenderName}" <${process.env.vidamaze_SES_email}>`, // sender address
                    to: `<${email}>`, // list of receivers
                    subject: `${process.env.vidamaze_SES_SenderName} ${subject}`, // Subject line
                    html: emailContent
                })

                console.log(results)

            }
        }
    } catch (error) {
        console.log(error)
    }
}


const getEmailContent = (email, product_name, password, product_id) => {


    if (product_id === 71) {

        //FE
        return `<!doctype html>
        <html lang="en-US">
        
            <head>
                <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
                <title>Register User Email Template</title>
                <meta name="description" content="Register User Email Template.">
                <style type="text/css">
                    a:hover {text-decoration: underline !important;}
                    
                </style>
            </head>
        
        <body marginheight="0" topmargin="0" marginwidth="0" style="margin: 0px; background-color: #f2f3f8;" leftmargin="0">
            <!--100% body table-->
            <table cellspacing="0" border="0" cellpadding="0" width="100%" bgcolor="#f2f3f8"
                style="@import url(https://fonts.googleapis.com/css?family=Rubik:300,400,500,700|Open+Sans:300,400,600,700); font-family: 'Open Sans', sans-serif;">
                <tr>
                    <td>
                        <table style="background-color: #f2f3f8; max-width:670px;  margin:0 auto;" width="100%" border="0"
                            align="center" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                <a href="${process.env.vidamaze_CLIENT_URL}" title="logo" target="_blank">
                                    <img  src="https://vidamaze.io/assets/images/logo.png" title="logo" alt="logo">
                                </a>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>
                                    <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0"
                                        style="max-width:670px;background:#fff; border-radius:3px; text-align:center;-webkit-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);-moz-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);box-shadow:0 6px 18px 0 rgba(0,0,0,.06);">
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td style="padding:0 35px;">
                                                 <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-bottom: 15px;">Hey,</p>
                                                <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-top: 5px;padding-bottom: 10px;">Thanks for purchasing ${product_name}   and welcome to the Engageleads community.
                                                    I am sure <b>${product_name} </b> will help you to take your business to the next level.
                                                </p>
                                                
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                Please find your Login details for <b>${product_name} </b> below:
                                                </p>
                                              
                                              
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                  URL : <b><a class="ql-link" href="${process.env.vidamaze_CLIENT_URL}/login" rel="noopener noreferrer" target="_blank">${process.env.vidamaze_CLIENT_URL}/login</a></b>
                                                  <br />
                                                  User Name : <b>${email}</b>
                                                  <br />
                                                  Password : <b>${password}</b>
                                              </p>
                                             

                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                Would you invest $22.30 to get instant access to $1330 in templates and tools that bring in stacks more cash, save your hours of work, and put your video marketing on beast mode? 
                                              </p>
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                              Then don’t leave without checking out this... <b>VidAmaze Pro.</b>
                                                </p>
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                    Instantly unlock a library of ready-made local niche videos, new trigger reel templates, in-video meeting scheduler, video polls, audio tracks, time-saving integrations, and a killer landing page builder!
                                                    </p>

                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                    So, what are you waiting for? Go ahead and grab your copy of <b>VidAmaze Pro</b> now when it's available at a special discounted price.
                                                </p>
                                                     <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                  
                                                 <b> =====================<br />
                                                    Support<br />
                                                    =====================<br />
                                                    </b><br />
                                                    
                                                    If you have any queries you can reach out to us through our support desk here:

                                                    <b> <a href="https://engageleads.zendesk.com/">https://engageleads.zendesk.com/</a></b>
                                                
                                              </p>
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                              
                                                  Thanks Again.
                                                  <br />
                                                <b>VidAmaze Team</b>
                                              </p>
                                              
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                    </table>
                                </td>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                    <p style="font-size:14px; color:rgba(69, 80, 86, 0.7411764705882353); line-height:18px; margin:0 0 0;"><center>&copy; <strong>${process.env.vidamaze_CLIENT_URL}</strong></p></center>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <!--/100% body table-->
        </body>
        
        </html>
        `
    } else if (product_id === 70 || product_id === 69) {

        // Bundle
        return `<!doctype html>
        <html lang="en-US">
        
            <head>
                <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
                <title>Register User Email Template</title>
                <meta name="description" content="Register User Email Template.">
                <style type="text/css">
                    a:hover {text-decoration: underline !important;}
                    
                </style>
            </head>
        
        <body marginheight="0" topmargin="0" marginwidth="0" style="margin: 0px; background-color: #f2f3f8;" leftmargin="0">
            <!--100% body table-->
            <table cellspacing="0" border="0" cellpadding="0" width="100%" bgcolor="#f2f3f8"
                style="@import url(https://fonts.googleapis.com/css?family=Rubik:300,400,500,700|Open+Sans:300,400,600,700); font-family: 'Open Sans', sans-serif;">
                <tr>
                    <td>
                        <table style="background-color: #f2f3f8; max-width:670px;  margin:0 auto;" width="100%" border="0"
                            align="center" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                <a href="${process.env.vidamaze_CLIENT_URL}" title="logo" target="_blank">
                                    <img  src="https://vidamaze.io/assets/images/logo.png" title="logo" alt="logo">
                                </a>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>
                                    <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0"
                                        style="max-width:670px;background:#fff; border-radius:3px; text-align:center;-webkit-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);-moz-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);box-shadow:0 6px 18px 0 rgba(0,0,0,.06);">
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td style="padding:0 35px;">
                                                 <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-bottom: 15px;">Hey,</p>
                                                <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-top: 5px;">Thanks for purchasing ${product_name} Full Bundle  and welcome to the Engageleads community.</p>
                                                
                                                <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-top: 10px;">
                                                    I am sure <b>${product_name} Full Bundle</b> will help you to take your business to the next level.
                                                </p>

                                                <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-top: 10px;">
                                                    Here's what is included in this offer and you will find access to all this in a single dashboard,
                                                </p>

                                                <ul style="text-align:left;line-height:24px;color:#455056; font-size:15px;">
                                                    <li>VidAmaze </li>
                                                    <li>VidAmaze Pro</li>
                                                    <li>VidAmaze DFY Agency Kit!</li>

                                                </ul>

                                                <br />
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                Please find your Login details for <b>${product_name} Full Bundle</b> below:
                                                </p>
                                              
                                              
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                  URL : <b><a class="ql-link" href="${process.env.vidamaze_CLIENT_URL}/login" rel="noopener noreferrer" target="_blank">${process.env.vidamaze_CLIENT_URL}/login</a></b>
                                                  <br />
                                                  User Name : <b>${email}</b>
                                                  <br />
                                                  Password : <b>${password}</b>
                                              </p>
                                             

                                             
                                                     <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                  
                                                 <b> =====================<br />
                                                    Support<br />
                                                    =====================<br />
                                                    </b><br />
                                                    
                                                    If you have any queries you can reach out to us through our support desk here:

                                                    <b> <a href="https://engageleads.zendesk.com/">https://engageleads.zendesk.com/</a></b>
                                                
                                              </p>
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                              
                                                  Thanks Again.
                                                  <br />
                                                <b>VidAmaze Team</b>
                                              </p>
                                              
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                    </table>
                                </td>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                    <p style="font-size:14px; color:rgba(69, 80, 86, 0.7411764705882353); line-height:18px; margin:0 0 0;"><center>&copy; <strong>${process.env.vidamaze_CLIENT_URL}</strong></p></center>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <!--/100% body table-->
        </body>
        
        </html>
        `
    }
    else if (product_id === 72 || product_id === 73) {

        //Pro (oto1)
        return `<!doctype html>
        <html lang="en-US">
        
            <head>
                <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
                <title>Register User Email Template</title>
                <meta name="description" content="Register User Email Template.">
                <style type="text/css">
                    a:hover {text-decoration: underline !important;}
                    
                </style>
            </head>
        
        <body marginheight="0" topmargin="0" marginwidth="0" style="margin: 0px; background-color: #f2f3f8;" leftmargin="0">
            <!--100% body table-->
            <table cellspacing="0" border="0" cellpadding="0" width="100%" bgcolor="#f2f3f8"
                style="@import url(https://fonts.googleapis.com/css?family=Rubik:300,400,500,700|Open+Sans:300,400,600,700); font-family: 'Open Sans', sans-serif;">
                <tr>
                    <td>
                        <table style="background-color: #f2f3f8; max-width:670px;  margin:0 auto;" width="100%" border="0"
                            align="center" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                <a href="${process.env.vidamaze_CLIENT_URL}" title="logo" target="_blank">
                                    <img  src="https://vidamaze.io/assets/images/logo.png" title="logo" alt="logo">
                                </a>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>
                                    <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0"
                                        style="max-width:670px;background:#fff; border-radius:3px; text-align:center;-webkit-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);-moz-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);box-shadow:0 6px 18px 0 rgba(0,0,0,.06);">
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td style="padding:0 35px;">
                                                 <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-bottom: 15px;">Hey,</p>
                                                <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-top: 5px;padding-bottom: 10px">Thanks for purchasing ${product_name} Pro and welcome to the Engageleads community.
                                                    I am sure <b>${product_name} Pro </b> will help you to take your business to the next level.
                                                </p>
                                                
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                Please find your Login details for <b>${product_name} Pro </b> below:(Your credentials are the same as your basic version of VidAmaze)
                                                </p>
                                              
                                              
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                  URL : <b><a class="ql-link" href="${process.env.vidamaze_CLIENT_URL}/login" rel="noopener noreferrer" target="_blank">${process.env.vidamaze_CLIENT_URL}/login</a></b>
                                                  <br />
                                                  User Name : <b>${email}</b>
                                                  <br />
                                                  Password : <b>${password}</b>
                                              </p>
                                             

                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                               If you want to sell VidAmaze style videos to hungry clients you have two choices…
                                              </p>
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                              Go it alone, figure it all out and build your agency from scratch
                                                </p>
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                    Or...                                                            </p>

                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                    Let us build your agency for you with everything you need to win more clients and turn VidAmaze into a legit six-figure business you can run part-time from anywhere in the world!
                                                </p>
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                  
                                                 <b> =====================<br />
                                                    Support<br />
                                                    =====================<br />
                                                    </b><br />
                                                    
                                                    If you have any queries you can reach out to us through our support desk here:

                                                    <b> <a href="https://engageleads.zendesk.com/">https://engageleads.zendesk.com/</a></b>
                                                
                                              </p>
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                              
                                                  Thanks Again.
                                                  <br />
                                                <b>VidAmaze Team</b>
                                              </p>
                                              
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                    </table>
                                </td>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                    <p style="font-size:14px; color:rgba(69, 80, 86, 0.7411764705882353); line-height:18px; margin:0 0 0;"><center>&copy; <strong>${process.env.vidamaze_CLIENT_URL}</strong></p></center>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <!--/100% body table-->
        </body>
        
        </html>
        `
    } else if (product_id === 74) {
        return `<!doctype html>
        <html lang="en-US">
        
            <head>
                <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
                <title>Register User Email Template</title>
                <meta name="description" content="Register User Email Template.">
                <style type="text/css">
                    a:hover {text-decoration: underline !important;}
                    
                </style>
            </head>
        
        <body marginheight="0" topmargin="0" marginwidth="0" style="margin: 0px; background-color: #f2f3f8;" leftmargin="0">
            <!--100% body table-->
            <table cellspacing="0" border="0" cellpadding="0" width="100%" bgcolor="#f2f3f8"
                style="@import url(https://fonts.googleapis.com/css?family=Rubik:300,400,500,700|Open+Sans:300,400,600,700); font-family: 'Open Sans', sans-serif;">
                <tr>
                    <td>
                        <table style="background-color: #f2f3f8; max-width:670px;  margin:0 auto;" width="100%" border="0"
                            align="center" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                <a href="${process.env.vidamaze_CLIENT_URL}" title="logo" target="_blank">
                                    <img  src="https://vidamaze.io/assets/images/logo.png" title="logo" alt="logo">
                                </a>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>
                                    <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0"
                                        style="max-width:670px;background:#fff; border-radius:3px; text-align:center;-webkit-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);-moz-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);box-shadow:0 6px 18px 0 rgba(0,0,0,.06);">
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td style="padding:0 35px;">
                                                 <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;">Hey,</p>
                                                <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-top: 5px;">Thanks for purchasing ${product_name} Masterclass and welcome to the Engageleads community.</p>
                                                
                                                <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-top: 10px;">
                                                    I am sure <b>${product_name} Masterclass</b> will help you to take your business to the next level.
                                                </p>
                                                <br />
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                Please find your Login details for <b>${product_name} Masterclass</b> below:(Your credentials are the same as your basic version of VidAmaze)
                                                </p>
                                              
                                              
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                  URL : <b><a class="ql-link" href="${process.env.vidamaze_CLIENT_URL}/login" rel="noopener noreferrer" target="_blank">${process.env.vidamaze_CLIENT_URL}/login</a></b>
                                                  <br />
                                                  User Name : <b>${email}</b>
                                                  <br />
                                                  Password : <b>${password}</b>
                                              </p>
                                             

                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                               If you want to sell VidAmaze style videos to hungry clients you have two choices…
                                              </p>
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                              Go it alone, figure it all out and build your agency from scratch
                                                </p>
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                    Or...                                                            </p>

                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                    Let us build your agency for you with everything you need to win more clients and turn VidAmaze into a legit six-figure business you can run part-time from anywhere in the world!
                                                </p>
                                                     <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                  
                                                 <b> =====================<br />
                                                    Support<br />
                                                    =====================<br />
                                                    </b><br />
                                                    
                                                    If you have any queries you can reach out to us through our support desk here:

                                                    <b> <a href="https://engageleads.zendesk.com/">https://engageleads.zendesk.com/</a></b>
                                                
                                              </p>
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                              
                                                  Thanks Again.
                                                  <br />
                                                <b>VidAmaze Team</b>
                                              </p>
                                              
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                    </table>
                                </td>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                    <p style="font-size:14px; color:rgba(69, 80, 86, 0.7411764705882353); line-height:18px; margin:0 0 0;"><center>&copy; <strong>${process.env.vidamaze_CLIENT_URL}</strong></p></center>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <!--/100% body table-->
        </body>
        
        </html>
        `
    } else if (product_id === 75) {

        //DFY
        return `<!doctype html>
        <html lang="en-US">
        
            <head>
                <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
                <title>Register User Email Template</title>
                <meta name="description" content="Register User Email Template.">
                <style type="text/css">
                    a:hover {text-decoration: underline !important;}
                    
                </style>
            </head>
        
        <body marginheight="0" topmargin="0" marginwidth="0" style="margin: 0px; background-color: #f2f3f8;" leftmargin="0">
            <!--100% body table-->
            <table cellspacing="0" border="0" cellpadding="0" width="100%" bgcolor="#f2f3f8"
                style="@import url(https://fonts.googleapis.com/css?family=Rubik:300,400,500,700|Open+Sans:300,400,600,700); font-family: 'Open Sans', sans-serif;">
                <tr>
                    <td>
                        <table style="background-color: #f2f3f8; max-width:670px;  margin:0 auto;" width="100%" border="0"
                            align="center" cellpadding="0" cellspacing="0">
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                <a href="${process.env.vidamaze_CLIENT_URL}" title="logo" target="_blank">
                                    <img  src="https://vidamaze.io/assets/images/logo.png" title="logo" alt="logo">
                                </a>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>
                                    <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0"
                                        style="max-width:670px;background:#fff; border-radius:3px; text-align:center;-webkit-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);-moz-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);box-shadow:0 6px 18px 0 rgba(0,0,0,.06);">
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                        <tr>
                                            <td style="padding:0 35px;">
                                                 <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-bottom: 15px;">Hey,</p>
                                                <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-top: 5px;">Thanks for purchasing ${product_name} Done-For-You Agency  and welcome to the Engageleads community.</p>
                                                
                                                <p style="text-align:left;color:#455056; font-size:15px;line-height:24px; margin:0;padding-top: 10px;padding-bottom: 10px;">
                                                    I am sure <b>${product_name} Done-For-You Agency</b> will help you to take your business to the next level.
                                                </p>
                                                
                                                <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                Please find your Login details for <b>${product_name} Done-For-You Agency</b> below:
                                                </p>
                                              
                                              
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:5px;">
                                                  URL : <b><a class="ql-link" href="${process.env.vidamaze_CLIENT_URL}/login" rel="noopener noreferrer" target="_blank">${process.env.vidamaze_CLIENT_URL}/login</a></b>
                                                  <br />
                                                  User Name : <b>${email}</b>
                                                  <br />
                                                  Password : <b>${password}</b>
                                              </p>
                                             

                                                     <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                                  
                                                 <b> =====================<br />
                                                    Support<br />
                                                    =====================<br />
                                                    </b><br />
                                                    
                                                    If you have any queries you can reach out to us through our support desk here:

                                                    <b> <a href="https://engageleads.zendesk.com/">https://engageleads.zendesk.com/</a></b>
                                                
                                              </p>
                                              <p style="text-align: left;color:#455056; font-size:15px;line-height:24px; margin-top:7px;">
                                              
                                                  Thanks Again.
                                                  <br />
                                                <b>VidAmaze Team</b>
                                              </p>
                                              
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="height:40px;">&nbsp;</td>
                                        </tr>
                                    </table>
                                </td>
                            <tr>
                                <td style="height:20px;">&nbsp;</td>
                            </tr>
                            <tr>
                                <td style="text-align:center;">
                                    <p style="font-size:14px; color:rgba(69, 80, 86, 0.7411764705882353); line-height:18px; margin:0 0 0;"><center>&copy; <strong>${process.env.vidamaze_CLIENT_URL}</strong></p></center>
                                </td>
                            </tr>
                            <tr>
                                <td style="height:80px;">&nbsp;</td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <!--/100% body table-->
        </body>
        
        </html>
        `
    }

}


forgotPasswordEmail = async (email, link) => {
    try {



        const transporter = await initMailer();

        if (transporter) {
            const results = await transporter.sendMail({
                from: `"${process.env.vidamaze_SES_SenderName}" <${process.env.vidamaze_SES_email}>`, // sender address
                to: `<${email}>`, // list of receivers
                subject: `Reset Password - ${process.env.vidamaze_SES_SenderName}`, // Subject line
                html: `
                    <!doctype html>
                    <html lang="en-US">
                        
                        <head>
                            <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
                            <title>Reset Password Email Template</title>
                            <meta name="description" content="Reset Password Email Template.">
                            <style type="text/css">
                                a:hover {text-decoration: underline !important;}
                            </style>
                        </head>
                        
                        <body marginheight="0" topmargin="0" marginwidth="0" style="margin: 0px; background-color: #f2f3f8;" leftmargin="0">
                            <!--100% body table-->
                            <table cellspacing="0" border="0" cellpadding="0" width="100%" bgcolor="#f2f3f8"
                                style="@import url(https://fonts.googleapis.com/css?family=Rubik:300,400,500,700|Open+Sans:300,400,600,700); font-family: 'Open Sans', sans-serif;">
                                <tr>
                                    <td>
                                        <table style="background-color: #f2f3f8; max-width:670px;  margin:0 auto;" width="100%" border="0"
                                            align="center" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td style="height:80px;">&nbsp;</td>
                                            </tr>
                                            <tr>
                                                <td style="text-align:center;">
                                                <a href="${process.env.vidamaze_CLIENT_URL}" title="logo" target="_blank">
                                                    <img  src="https://vidamaze.io/assets/images/logo.png" title="logo" alt="logo">
                                                </a>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="height:20px;">&nbsp;</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0"
                                                        style="max-width:670px;background:#fff; border-radius:3px; text-align:center;-webkit-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);-moz-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);box-shadow:0 6px 18px 0 rgba(0,0,0,.06);">
                                                        <tr>
                                                            <td style="height:40px;">&nbsp;</td>
                                                        </tr>
                                                        <tr>
                                                            <td style="padding:0 35px;">
                                                                <h1 style="color:#1e1e2d; font-weight:500; margin:0;font-size:32px;font-family:'Rubik',sans-serif;">You have
                                                                    requested to reset your password</h1>
                                                                <span
                                                                    style="display:inline-block; vertical-align:middle; margin:29px 0 26px; border-bottom:1px solid #cecece; width:100px;"></span>
                                                                <p style="color:#455056; font-size:15px;line-height:24px; margin:0;">
                                                                    We cannot simply send you your old password. A unique link to reset your
                                                                    password has been generated for you. To reset your password, click the
                                                                    following link and follow the instructions.
                                                                </p>
                                                                <a href="${link}"
                                                                    style="background:#20e277;text-decoration:none !important; font-weight:500; margin-top:35px; color:#fff;text-transform:uppercase; font-size:14px;padding:10px 24px;display:inline-block;border-radius:50px;">Reset
                                                                    Password</a>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="height:40px;">&nbsp;</td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            <tr>
                                                <td style="height:20px;">&nbsp;</td>
                                            </tr>
                                            <tr>
                                                <td style="text-align:center;">
                                                    <p style="font-size:14px; color:rgba(69, 80, 86, 0.7411764705882353); line-height:18px; margin:0 0 0;">&copy; <strong>${process.env.vidamaze_CLIENT_URL}</strong></p>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="height:80px;">&nbsp;</td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                            <!--/100% body table-->
                        </body>
            
                    </html>
                    `
            })

            console.log(results)

        }
    } catch (error) {
console.log(error)
    }
}


videoRenderEmail = async (email, link, poster) => {
    try {

        const transporter = await initMailer();

        if (transporter) {
            const results = await transporter.sendMail({
                from: `"${process.env.vidamaze_SES_SenderName}" <${process.env.vidamaze_SES_email}>`, // sender address
                to: `<${email}>`, // list of receivers
                subject: `${process.env.vidamaze_SES_SenderName} - Video created successfully`, // Subject line
                html: `<!doctype html>
                <html lang="en-US">
                
                <head>
                    <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
                    <style type="text/css">
                        a:hover {text-decoration: underline !important;}
                    </style>
                </head>
                
                <body marginheight="0" topmargin="0" marginwidth="0" style="margin: 0px; background-color: #f2f3f8;" leftmargin="0">
                    <!--100% body table-->
                    <table cellspacing="0" border="0" cellpadding="0" width="100%" bgcolor="#f2f3f8"
                        style="@import url(https://fonts.googleapis.com/css?family=Rubik:300,400,500,700|Open+Sans:300,400,600,700); font-family: 'Open Sans', sans-serif;">
                        <tr>
                            <td>
                                <table style="background-color: #f2f3f8; max-width:670px;  margin:0 auto;" width="100%" border="0"
                                    align="center" cellpadding="0" cellspacing="0">
                                    <tr>
                                        <td style="height:80px;">&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td style="text-align:center;">
                                        <a href="${process.env.vidamaze_CLIENT_URL}" title="logo" target="_blank">
                                            <img  src="https://vidamaze.io/assets/images/logo.png" title="logo" alt="logo">
                                        </a>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="height:20px;">&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0"
                                                style="max-width:670px;background:#fff; border-radius:3px; text-align:center;-webkit-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);-moz-box-shadow:0 6px 18px 0 rgba(0,0,0,.06);box-shadow:0 6px 18px 0 rgba(0,0,0,.06);">
                                                <tr>
                                                    <td style="height:40px;">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                    <td style="padding:0 35px;display: flex;justify-content: center;align-items: center;">
                                                        
                                                        <img src="${poster}" alt="img" width="100%" style="color:#1e1e2d;font-weight:500;margin:0;font-size:32px;font-family:'Rubik',sans-serif;opacity: .5;" />
                                                    </td>
                                                </tr>
                                                <tr><td>
                                                        <p style="color:#455056; font-size:15px;line-height:24px; margin:15px;">
                                                        Your Video has been created successfully. Please check the video on your dashboard
                                                        </p>
                                                        <a href="${link}"
                                                            style="background:#20e277;text-decoration:none !important; font-weight:500; margin-top:35px; color:#fff;text-transform:uppercase; font-size:14px;padding:10px 24px;display:inline-block;border-radius:50px;">Click here to check</a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height:40px;">&nbsp;</td>
                                                </tr>
                                            </table>
                                        </td>
                                    <tr>
                                        <td style="height:20px;">&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td style="text-align:center;">
                                            <p style="font-size:14px; color:rgba(69, 80, 86, 0.7411764705882353); line-height:18px; margin:0 0 0;">&copy; <strong>${process.env.vidamaze_CLIENT_URL}</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="height:80px;">&nbsp;</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                    <!--/100% body table-->
                </body>
                
                </html>`
            })

            console.log(results)

        }
    } catch (error) {

    }
}

module.exports = {
    testEmail,
    forgotPasswordEmail,
    videoRenderEmail,
    registerEmail
}